Merge remote-tracking branch 'origin/5.4'
[scilab.git] / scilab / Makefile.am
1 #
2 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
3 # Copyright (C) INRIA - 2006-2008 - Sylvestre Ledru
4 # Copyright (C) DIGITEO - 2009 - Sylvestre Ledru
5 #
6 # This file must be used under the terms of the CeCILL.
7 # This source file is licensed as described in the file COPYING, which
8 # you should have received as part of this distribution.  The terms
9 # are also available at
10 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
11 #
12
13 ## Process this file with automake to produce Makefile.in (which will be changed by the ./configure)
14
15 AUTOMAKE_OPTIONS = 1.11 dist-zip dist-bzip2
16
17 SUBDIRS= libs \
18         modules \
19         contrib \
20         desktop
21
22 ACLOCAL_AMFLAGS = -I m4/
23
24 # Set AM_* SCI detected settings
25 AM_CPPFLAGS = $(SCI_CPPFLAGS)
26 AM_CFLAGS   = $(SCI_CFLAGS)
27 AM_CXXFLAGS = $(SCI_CXXFLAGS)
28 AM_FFLAGS   = $(SCI_FFLAGS)
29 AM_LDFLAGS  = $(SCI_LDFLAGS)
30
31 changelogs = CHANGES CHANGES_5.1.X CHANGES_5.2.X CHANGES_5.3.X CHANGES_5.4.X  CHANGES_5.5.X
32
33 bin_PROGRAMS            = scilab-bin scilab-cli-bin
34
35 bin_SCRIPTS                     = bin/scilab bin/scilab-adv-cli bin/scilab-cli
36
37 if IS_MACOSX
38 bin_SCRIPTS             += bin/checkmacosx.applescript
39 endif
40
41 scilab_bin_LDFLAGS          = $(AM_LDFLAGS)
42 scilab_cli_bin_LDFLAGS  = $(AM_LDFLAGS)
43
44 if IS_MACOSX
45 scilab_bin_LDFLAGS              += -framework Cocoa
46 endif
47
48 scilab_bin_CPPFLAGS = -I$(top_srcdir)/modules/io/includes/ \
49                     -I$(top_srcdir)/modules/console/includes/ \
50                     -I$(top_srcdir)/modules/localization/includes/ \
51                     $(AM_CPPFLAGS)
52 # --no-undefined --relax
53
54 # Localization dep already exists because of the `exportLocaleToSystem' symbol
55 # (causing issues on some platform)
56 COMMON_LIBS = $(LTLIBINTL)
57
58 scilab_bin_SOURCES              = $(top_srcdir)/modules/console/src/c/others/mainscic.c
59
60 scilab_bin_LDADD                = $(COMMON_LIBS) $(top_builddir)/modules/libscilab.la $(FLIBS)
61
62 # Match scilab -nwni (ie command line without graphics)
63 scilab_cli_bin_SOURCES  = $(top_srcdir)/modules/console/src/c/others/mainscic.c
64
65 scilab_cli_bin_CPPFLAGS = -DWITHOUT_GUI $(scilab_bin_CPPFLAGS)
66 scilab_cli_bin_LDADD    = $(COMMON_LIBS) $(top_builddir)/modules/libscilab-cli.la $(FLIBS)
67
68
69 if NEED_JAVA
70 # Don't do it for scilab_cli_bin. We want to be able to call it without
71 # the java libs
72         scilab_bin_LDADD += $(JAVA_JNI_LIBS)
73 endif
74
75 if IS_SOLARIS
76 # The binary itself needs this dep
77         scilab_bin_LDADD += $(BLAS_LIBS)
78 endif
79
80 if ENABLE_STATIC
81 scilab_static_bin_LDFLAGS = -static -static-libgcc --start-group $(AM_LDFLAGS)
82 scilab_static_bin_CFLAGS  = -Wl,--start-group `$(CXX) -print-file-name=libstdc++.a` $(AM_CFLAGS)
83
84 #-static
85 bin_PROGRAMS                    += scilab-static-bin
86 scilab_static_bin_LDADD = $(top_builddir)/modules/libscilab.la
87
88 scilab_static_bin_SOURCES = $(scilab_bin_SOURCES)
89 endif
90
91 LANG_DOMAIN=scilab
92
93 TARGETS_ALL=macros
94
95 #  The user wants to compile the localization files
96 if GENERATE_LOCALIZATION_FILES
97 TARGETS_ALL+=localization
98 endif
99
100 if COMPILATION_TESTS
101 TARGETS_ALL+=check-java
102 endif
103
104 #┬ácheck is performed with scilab
105 TESTS_ENVIRONMENT = LANG=C $(top_builddir)/bin/scilab-cli -nb -noatomsautoload -f
106 TESTS = $(top_srcdir)/modules/development_tools/tests/unit_tests/test_run_level_1.tst
107
108 all-local: $(TARGETS_ALL)
109
110 rootdir=$(pkgdatadir)/etc/
111 root_DATA = $(top_srcdir)/etc/scilab.start \
112 $(top_srcdir)/etc/scilab.quit \
113 $(top_srcdir)/etc/toolboxes.xml \
114 $(top_builddir)/etc/jvm_options.xml \
115 $(top_builddir)/etc/modules.xml \
116 $(top_builddir)/etc/classpath.xml \
117 $(top_builddir)/etc/logging.properties \
118 $(top_builddir)/etc/librarypath.xml
119
120 infofilesdir=$(pkgdatadir)/
121 infofiles_DATA = $(top_srcdir)/CHANGES_2.X \
122 $(top_srcdir)/CHANGES_3.X \
123 $(top_srcdir)/CHANGES_4.X \
124 $(top_srcdir)/CHANGES_5.0.X \
125 $(top_srcdir)/CHANGES_5.1.X \
126 $(top_srcdir)/CHANGES_5.2.X \
127 $(top_srcdir)/CHANGES_5.3.X \
128 $(top_srcdir)/CHANGES_5.4.X \
129 $(top_srcdir)/ACKNOWLEDGEMENTS \
130 $(top_srcdir)/COPYING \
131 $(top_srcdir)/COPYING-BSD \
132 $(top_srcdir)/COPYING-FR \
133 $(top_srcdir)/README_Unix \
134 $(top_srcdir)/RELEASE_NOTES_5.0.X \
135 $(top_srcdir)/RELEASE_NOTES_5.1.X \
136 $(top_srcdir)/RELEASE_NOTES_5.2.X \
137 $(top_srcdir)/RELEASE_NOTES_5.3.X \
138 $(top_srcdir)/Readme_Visual.txt \
139 $(top_srcdir)/README_Windows.txt \
140 $(top_builddir)/Version.incl
141
142 valgrinddir=$(pkgdatadir)/tools/profiling
143 valgrind_DATA = $(top_srcdir)/tools/profiling/valgrind.supp
144
145 macros: $(top_builddir)/scilab-cli-bin $(top_builddir)/bin/scilab-cli check-jvm-dep
146         -@( cd $(top_builddir) ; \
147         echo "$(top_builddir)/bin/scilab-cli -ns -noatomsautoload -f modules/functions/scripts/buildmacros/buildmacros.sce" ; \
148         $(top_builddir)/bin/scilab-cli -ns -noatomsautoload -f modules/functions/scripts/buildmacros/buildmacros.sce) || exit 1
149
150
151 check-jvm-dep:
152 # Check that scilab-cli does not have a dependency on libjvm
153 if !IS_MACOSX
154         @ldd .libs/scilab-cli-bin|grep libjvm > /dev/null; \
155         if test $$? == 0; then \
156                 echo "Found dependency from scilab-cli-bin to libjvm found"; exit 2;\
157         fi
158 endif
159
160 # Build the public Javadoc (javasci v2 and Java/Scilab types)
161 # This is not done in the module itself because its needs also the "types"
162 # module
163 javadoc:
164         $(JAVADOC) -noindex -nohelp -nonavbar -notree \
165         -d $(top_builddir)/modules/javasci/javadoc \
166         -sourcepath $(top_srcdir)/modules/javasci/src/java:$(top_srcdir)/modules/types/src/java::$(top_srcdir)/modules/localization/src/java \
167         org.scilab.modules.javasci org.scilab.modules.types
168
169 javadoc-all:
170         MASK="$(top_srcdir)/modules/*/src/java/"; \
171         MODULES=`ls -d $$MASK`; \
172         for M in $$MODULES; do \
173                 LISTMODULES="$$M:$$LISTMODULES"; \
174                 MODULE=$$(echo $$M|cut -d/ -f3); \
175                 LISTPKG="$$LISTPKG org.scilab.modules.$$MODULE"; \
176         done; \
177         $(JAVADOC) \
178         -d $(top_builddir)/javadocall \
179         -sourcepath $$LISTMODULES \
180         $$LISTPKG
181
182 doc-fr_FR:
183         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=fr_FR
184
185 doc-en_US:
186         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=en_US
187
188 doc-pt_BR:
189         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=pt_BR
190
191 doc-ru_RU:
192         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=ru_RU
193
194 doc-ja_JP:
195         @$(MAKE) $(AM_MAKEFLAGS) doc ALL_LINGUAS_DOC=ja_JP
196
197
198 doc: javadoc $(top_builddir)/scilab-bin $(top_builddir)/bin/scilab-adv-cli
199 if BUILD_HELP
200         @if test -x $(top_builddir)/scilab-bin; then \
201                 cd $(top_builddir);\
202                 for l in $(ALL_LINGUAS_DOC); do \
203                         echo "-- Building documentation ($$l) --"; \
204                         COMMAND="try xmltojar([],[],'$$l');catch disp(lasterror()); exit(-1);end;exit(0);"; \
205                         echo "LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -noatomsautoload -nb -nouserstartup -e \"$$COMMAND\"";\
206                         LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -noatomsautoload -nb -l $$l -nouserstartup -e "$$COMMAND" || exit 1;\
207                 done; \
208         else \
209                 echo "Cannot find Scilab-adv-cli binary"; \
210         fi
211 else
212         @echo "Cannot buid help. Add --enable-build-help to the ./configure if you want to build it."
213 endif
214
215 doc-web: javadoc $(top_builddir)/scilab-bin $(top_builddir)/bin/scilab-adv-cli
216 if BUILD_HELP
217         @if test -x $(top_builddir)/scilab-bin; then \
218                 cd $(top_builddir);\
219                 for l in $(ALL_LINGUAS_DOC); do \
220                         echo "-- Building documentation ($$l) --"; \
221                         COMMAND="try xmltoweb([],[],'$$l');catch exit(-1);end;exit(0);";\
222                         echo "LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -nb -l $$l -noatomsautoload -nouserstartup -e \"$$COMMAND\"";\
223                         LANG=C SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 $(top_builddir)/bin/scilab-adv-cli -nb -l $$l -noatomsautoload -nouserstartup -e "$$COMMAND" || exit 1;\
224                         JAVADOC_TARGET=$(top_builddir)/modules/helptools/web/$$l/javasci; \
225                         if test ! -d $$JAVADOC_TARGET; then \
226                                 mkdir $$JAVADOC_TARGET; \
227                                 ln -s ../../../../javasci/javadoc/ $$JAVADOC_TARGET/; \
228                         fi; \
229                 done; \
230         else \
231                 echo "Cannot find Scilab-adv-cli binary"; \
232         fi
233 else
234         @echo "Cannot buid help. Add --enable-build-help to the ./configure if you want to build it."
235 endif
236
237 doxygen: modules/development_tools/etc/doxyfile
238 if DOXYGEN
239         mkdir $(top_builddir)/reports/
240         $(DOXYGEN_BIN) modules/development_tools/etc/doxyfile
241 endif
242
243 check-help:$(top_builddir)/scilab-cli-bin $(top_builddir)/bin/scilab-cli
244         @if test -x $(top_builddir)/scilab-cli-bin; then \
245                 for l in $(ALL_LINGUAS_DOC); do \
246                         echo "-- Checking documentation ($$l) --"; \
247                         COMMAND="try check_help();catch exit(-1);end;exit(0);";\
248                         echo "$(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e \"$$COMMAND\"";\
249                         $(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e "$$COMMAND" || exit 1;\
250                 done; \
251         else \
252                 echo "Cannot find Scilab binary"; \
253         fi
254
255 code-coverage:
256 if CODE_COVERAGE
257         @if test ! -d $(top_builddir)/coverage/; then \
258                 mkdir $(top_builddir)/coverage/; \
259         fi; \
260         touch $(top_srcdir)/modules/differential_equations/callinter.h $(top_srcdir)/modules/linear_algebra/callinter.h $(top_srcdir)/modules/scicos/callinter.h $(top_srcdir)/modules/scicos_blocks/callinter.h; \
261         $(LCOV) --directory $(top_builddir) --capture --ignore-errors source --output-file $(top_builddir)/coverage/scilab-code-coverage.info; \
262         $(GENHTML) -o $(top_builddir)/coverage/results/ --show-details --highlight --legend $(top_builddir)/coverage/scilab-code-coverage.info; \
263         echo "To open the result: firefox  $(top_builddir)/coverage/results/index.html"; \
264         rm -f $(top_srcdir)/modules/differential_equations/callinter.h $(top_srcdir)/modules/linear_algebra/callinter.h $(top_srcdir)/modules/scicos/callinter.h $(top_srcdir)/modules/scicos_blocks/callinter.h
265 #--frames is disable because of : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607206
266 else
267         @echo "Cannot start the code coverage. Add --enable-code-coverage to the ./configure and 'make clean all'."
268 endif
269
270 distclean-recursive: distclean-generated clean-recursive
271
272 clean-recursive: clean-help clean-localization clean-macros clean-generated
273
274 clean-macros:
275 # Find is necessary because of subdirs...
276         -@echo "-- Cleaning macros (*.bin) --"; \
277         find $(top_builddir) -name "*.bin" | xargs --no-run-if-empty rm 2> /dev/null; \
278         echo "-- Cleaning names files (names) --"; \
279         find $(top_builddir)/modules/*/macros -name "names" | xargs --no-run-if-empty rm 2> /dev/null; \
280         echo "-- Cleaning lib files (lib) --"; \
281         find $(top_builddir)/modules/*/macros -name "lib" | xargs --no-run-if-empty rm 2> /dev/null
282
283 # To ensure previous compatibility
284 clean-doc: clean-help
285
286 clean-help:
287         -@if test -x $(top_builddir)/scilab-cli-bin; then \
288                 COMMAND="try clean_help();catch exit(-1);end;exit(0)"; \
289                 for l in $(ALL_LINGUAS_DOC); do \
290                         echo "$(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e '$$COMMAND'"; \
291                         $(top_builddir)/bin/scilab-cli -nb -l $$l -noatomsautoload -e "$$COMMAND" || exit 1; \
292                 done; \
293         else \
294                 echo "Cannot find Scilab binary"; \
295         fi; \
296         echo "rmdir $(top_builddir)/modules/helptools/javaHelp/"; \
297         rm -rf $(top_builddir)/modules/helptools/javaHelp/; \
298         echo "rm -rf $(top_builddir)/modules/scicos/help/*/scilab_*_help"; \
299         rm -rf $(top_builddir)/modules/scicos/help/*/scilab_*_help; \
300         echo "rm -f $(top_builddir)/modules/scicos/help/en_US/master_help.xml"; \
301         rm -f $(top_builddir)/modules/scicos/help/en_US/master_help.xml; \
302         echo "rm -f $(top_builddir)/modules/scicos/jar/"; \
303         rm -rf $(top_builddir)/modules/scicos/jar/; \
304         echo "rm -rf $(top_builddir)/modules/javasci/javadoc"; \
305         rm -rf $(top_builddir)/modules/javasci/javadoc; \
306         echo "rm -rf $(top_builddir)/html"; \
307         rm -rf $(top_builddir)/html;
308
309 clean-tests:
310         @if test -x $(top_builddir)/scilab-cli-bin; then \
311                 $(top_builddir)/bin/scilab-cli -nb -noatomsautoload -l fr -e 'try test_clean();catch exit(-1);end;exit(0);' || exit 1; \
312         else \
313                 echo "Cannot find Scilab binary"; \
314         fi
315
316 clean-localization:
317         rm -rf $(top_srcdir)/locale/*
318
319 clean-generated:
320 # Deleted junit + code coverage
321         rm -rf $(top_builddir)/reports/
322         rm -rf $(top_builddir)/modules/scicos_blocks/build/ 2> /dev/null
323
324 distclean-generated:
325         rm -f $(top_builddir)/modules/core/includes/stack.h 2> /dev/null
326
327
328 if IS_MACOSX
329 # Used for mac os x because it needs to remove the charset=UTF-8 because it is breaking the accents.
330 MACOSX=1
331 endif
332
333 clean-reports:
334         rm -f reports/xml/TEST-org.scilab.*.xml
335
336 # For each module, build and call Java unitary tests
337 # If fails, stops the call
338 check-java: clean-reports
339         @echo "-- Launch all Junit (Java) unitary tests"; \
340         MASK="$(top_srcdir)/modules/*/tests/java/"; \
341         MODULES=`ls -d $$MASK`; \
342         for M in $$MODULES; do \
343                 BASE=`echo $$M|sed -e "s|tests/java/$$||g"`; \
344                 $(ANT) -buildfile $$BASE/build.xml test || exit $$?; \
345         done
346         rm -f reports/xml/TEST-org.scilab.*.xml
347
348 codecoverage-java: clean-reports
349         @echo "Check if --enable-debug-java has been set"; \
350         grep "build.debug=on" $(top_srcdir)/scilab.properties > /dev/null || exit 10; \
351         echo "-- Launch all Junit (Java) unitary tests + code coverage"; \
352         MASK="$(top_srcdir)/modules/*/tests/java/"; \
353         MODULES=`ls -d $$MASK`; \
354         for M in $$MODULES; do \
355                 BASE=`echo $$M|sed -e "s|tests/java/$$||g"`; \
356                 $(ANT) -buildfile $$BASE/build.xml codecoverage || exit $$?; \
357         done
358         rm -f reports/xml/TEST-org.scilab.*.xml
359
360 # The user wants to compile the localization files
361 # Please note that ALL_LINGUAS is defined in configure.ac
362 if GENERATE_LOCALIZATION_FILES
363 localization:
364         @echo "-- Build localization (.mo from .po) --"; \
365         MASK="modules/*/locales/"; \
366         LC="LC_MESSAGES"; \
367         MSGFMT_OPTS="$MSGFMT_OPTS --check"; \
368         EXTENSION="*.po"; \
369         rm modules/*/locales/*~ 2> /dev/null; \
370         for LOCALE in $(ALL_LINGUAS); do \
371                 echo "        -- Building for $$LOCALE --"; \
372                 if test "$$LOCALE" == "en_US"; then \
373                         LOCFILE=$$MASK/*.pot; \
374                 else \
375                         LOCFILE=$$MASK/$$LOCALE$$EXTENSION; \
376                 fi; \
377                 FILES=`ls $$LOCFILE`; \
378                 PATHTO=$(top_builddir)/locale/$$LOCALE/$$LC/; \
379                 if test ! -d $$PATHTO; then \
380                         echo "        Creating $$PATHTO"; \
381                         mkdir -p $$PATHTO; \
382                 fi; \
383                 POFILE=$$PATHTO/$(LANG_DOMAIN).po; \
384                 $(MSGCAT) --use-first -o $$POFILE $$FILES || exit 2; \
385                 if test "$(MACOSX)" = "1"; then sed -i -e '/charset=UTF-8/d' $$POFILE; fi; \
386                 $(MSGFMT) $(MSGFMT_OPTS) --statistics -o $$PATHTO/$(LANG_DOMAIN).mo $$POFILE || exit 2; \
387         done;
388
389
390 localization-status:
391         @for LOCALE in $(ALL_LINGUAS_DOC); do \
392                 if test "$$LOCALE" != "en_US"; then \
393                         PATHTO=$(top_builddir)/locale-status/$$LOCALE/; \
394                         if test ! -d $$PATHTO; then \
395                                 echo "        Creating $$PATHTO"; \
396                                 mkdir -p $$PATHTO; \
397                         fi; \
398                         echo "Building status for $$LOCALE"; \
399                         echo "SCI=$(top_srcdir) php tools/localization/revcheck.php $$LOCALE > $$PATHTO/index.html"; \
400                         SCI=$(top_srcdir) php tools/localization/revcheck.php $$LOCALE > $$PATHTO/index.html; \
401                 fi; \
402         done;
403
404 endif
405
406 # Misc variable for the documentation installation
407
408 # How help files look like.
409 DOCMASK=scilab_*_help.jar
410
411 # Path to builded files
412 PATHTOHELPFILES = modules/helptools/jar/
413
414 # Path javasci to builded files
415 PATHTOJAVASCIDOC = modules/javasci/javadoc/
416 JAVASCI_DIRS = . resources \
417         org/scilab/modules/javasci/ \
418         org/scilab/modules/types/
419
420 if GENERATE_LOCALIZATION_FILES
421 install-data-local:
422         @$(mkinstalldirs) $(DESTDIR)$(localedir); \
423         echo $(mkinstalldirs) $(DESTDIR)$(localedir); \
424         for lang in $(ALL_LINGUAS); do \
425                 LANG_PATH_DIST=$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
426                 echo $(mkinstalldirs) $$LANG_PATH_DIST; \
427                 $(mkinstalldirs) $$LANG_PATH_DIST; \
428                 echo $(INSTALL_DATA) $(top_builddir)/locale/$$lang/LC_MESSAGES/$(LANG_DOMAIN).mo $$LANG_PATH_DIST/; \
429                 $(INSTALL_DATA) $(top_builddir)/locale/$$lang/LC_MESSAGES/$(LANG_DOMAIN).mo $$LANG_PATH_DIST/; \
430         done
431 endif
432
433 ################ INSTALL DOCUMENTATION #################
434 # Starting from Scilab 5, documentation file are provided by Docbook
435 # In the Scilab application we are generating a JavaHelp file.
436 if BUILD_HELP
437         @$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES); \
438         echo $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES); \
439         if ls -lLd $(top_builddir)/$(PATHTOHELPFILES)/$(DOCMASK) >/dev/null 2>&1; then \
440                 for file in $(top_builddir)/$(PATHTOHELPFILES)/$(DOCMASK); do \
441                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES)" ; \
442                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdatadir)/$(PATHTOHELPFILES) ; \
443                 done; \
444         fi
445 ## Install Javasci documentation (javadoc)
446 ## See target javadoc in this file to see how it is build
447         @if test -d $(PATHTOJAVASCIDOC); then \
448         $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC); \
449         echo $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC); \
450         for dir in $(JAVASCI_DIRS) ; do \
451                 $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir; \
452                 echo $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir; \
453                         for file in $(top_builddir)/$(PATHTOJAVASCIDOC)/$(dir)/*; do \
454                             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir" ; \
455                                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdatadir)/$(PATHTOJAVASCIDOC)/$$dir ; \
456                         done; \
457         done; \
458         fi
459 endif
460
461 # Pkgconfig directory
462 pkgconfigdir = $(libdir)/pkgconfig
463
464 # Files to install in Pkgconfig directory
465 pkgconfig_DATA = scilab.pc
466
467 .PHONY: macros localization doc
468
469 .NOTPARALLEL: macros doc
470
471 include $(top_srcdir)/Makefile.call_scilab.am